/*
 * By: Malver
 *
 * Proper credit is required for the usage of this library.
 *
 * Thanks!
 *
 */


proc
	// Argument: Turf, text, colour, speed, movements upward, letter objects(typically not entered)
	mal_FloatText(turf/T,txt,col,speed,more,list/M=null)
		var/list/L
		if(!M)
			L = mal_DrawText(T.x,T.y+1,T.z,txt,col)
		else
			L = M
		spawn(speed)
			more--
			for(var/obj/O in L)
				step(O,NORTH)
			if(more > 0)
				mal_FloatText(T,txt,col,speed,more,L)
			else
				for(var/obj/O in L)
					del(O)

	// X, Y, Z, and colour
	mal_DrawText(x,y,z,txt,col)
		var/list/L = new
		var/turf/T = locate(x,y,z)
		for(var/a = 1, a < length(txt)+1, a++)
			var/obj/O = new(T)
			O.text = "<font color=[col]>"+copytext(txt,a,a+1)
			L.Add(O)
			T = get_step(T,EAST)
		return L